/***************************************************************
 * Name:      j11Main.h
 * Purpose:   Defines Application Frame
 * Author:     ()
 * Created:   2012-12-06
 * Copyright:  ()
 * License:
 **************************************************************/

#ifndef J11MAIN_H
#define J11MAIN_H

//(*Headers(j11Frame)
#include <wx/stattext.h>
#include <wx/menu.h>
#include <wx/button.h>
#include <wx/frame.h>
#include <wx/timer.h>
#include <wx/statusbr.h>
//*)

class j11Frame: public wxFrame
{
    public:

        j11Frame(wxWindow* parent,wxWindowID id = -1);
        virtual ~j11Frame();

    private:

        //(*Handlers(j11Frame)
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnButton1Click(wxCommandEvent& event);
        void OnTimer1Trigger(wxTimerEvent& event);
        //*)

        //(*Identifiers(j11Frame)
        static const long ID_BUTTON1;
        static const long ID_STATICTEXT1;
        static const long ID_STATICTEXT2;
        static const long ID_STATICTEXT3;
        static const long ID_STATICTEXT4;
        static const long ID_STATICTEXT5;
        static const long ID_STATICTEXT6;
        static const long idMenuQuit;
        static const long idMenuAbout;
        static const long ID_STATUSBAR1;
        static const long ID_TIMER1;
        //*)

        //(*Declarations(j11Frame)
        wxStaticText* StaticText2;
        wxButton* Button1;
        wxStaticText* StaticText6;
        wxStaticText* StaticText1;
        wxStaticText* StaticText3;
        wxStaticText* StaticText5;
        wxStatusBar* StatusBar1;
        wxStaticText* StaticText4;
        wxTimer Timer1;
        //*)

        DECLARE_EVENT_TABLE()
};

#endif // J11MAIN_H
