/***************************************************************
 * Name:      j11Main.cpp
 * Purpose:   Code for Application Frame
 * Author:     ()
 * Created:   2012-12-06
 * Copyright:  ()
 * License:
 **************************************************************/

#include "j11Main.h"
#include <wx/msgdlg.h>

//(*InternalHeaders(j11Frame)
#include <wx/intl.h>
#include <wx/string.h>
//*)

#include <stdlib.h>
#include <stdio.h>


#include <string.h>  /* Объявления строковых функций */
#include <unistd.h>  /* Объявления стандартных функций UNIX */
#include <fcntl.h>   /* Объявления управления файлами */
#include <errno.h>   /* Объявления кодов ошибок */
#include <termios.h> /* Объявления управления POSIX-терминалом */
#include <sys/types.h>
#include <sys/stat.h>
#include <signal.h>
#include <string.h>
int a;
int fd; /* Файловый дескриптор для порта */
unsigned char buf[256];/*размер зависит от размера строки принимаемых данных*/
int open_port(void);
int iIn;

int result2;
int result1;
int x;
int y;
int x_old;
int x_new;
int x_delta;
int y_delta;
int y_old;
int y_new;
int x_temp;
int y_temp;
int adc;
int adc_temp;
int adc_l;
int adc_h;

//helper functions
enum wxbuildinfoformat {
    short_f, long_f };

wxString wxbuildinfo(wxbuildinfoformat format)
{
    wxString wxbuild(wxVERSION_STRING);

    if (format == long_f )
    {
#if defined(__WXMSW__)
        wxbuild << _T("-Windows");
#elif defined(__UNIX__)
        wxbuild << _T("-Linux");
#endif

#if wxUSE_UNICODE
        wxbuild << _T("-Unicode build");
#else
        wxbuild << _T("-ANSI build");
#endif // wxUSE_UNICODE
    }

    return wxbuild;
}

//(*IdInit(j11Frame)
const long j11Frame::ID_BUTTON1 = wxNewId();
const long j11Frame::ID_STATICTEXT1 = wxNewId();
const long j11Frame::ID_STATICTEXT2 = wxNewId();
const long j11Frame::ID_STATICTEXT3 = wxNewId();
const long j11Frame::ID_STATICTEXT4 = wxNewId();
const long j11Frame::ID_STATICTEXT5 = wxNewId();
const long j11Frame::ID_STATICTEXT6 = wxNewId();
const long j11Frame::ID_BUTTON2 = wxNewId();
const long j11Frame::idMenuQuit = wxNewId();
const long j11Frame::idMenuAbout = wxNewId();
const long j11Frame::ID_STATUSBAR1 = wxNewId();
const long j11Frame::ID_TIMER1 = wxNewId();
//*)

BEGIN_EVENT_TABLE(j11Frame,wxFrame)
    //(*EventTable(j11Frame)
    //*)
END_EVENT_TABLE()

j11Frame::j11Frame(wxWindow* parent,wxWindowID id)
{
    //(*Initialize(j11Frame)
    wxMenuItem* MenuItem2;
    wxMenuItem* MenuItem1;
    wxMenu* Menu1;
    wxMenuBar* MenuBar1;
    wxMenu* Menu2;

    Create(parent, wxID_ANY, wxEmptyString, wxDefaultPosition, wxDefaultSize, wxDEFAULT_FRAME_STYLE, _T("wxID_ANY"));
    SetClientSize(wxSize(797,450));
    Button1 = new wxButton(this, ID_BUTTON1, _("Scan"), wxPoint(80,32), wxDefaultSize, 0, wxDefaultValidator, _T("ID_BUTTON1"));
    StaticText1 = new wxStaticText(this, ID_STATICTEXT1, _("X="), wxPoint(256,40), wxDefaultSize, 0, _T("ID_STATICTEXT1"));
    StaticText2 = new wxStaticText(this, ID_STATICTEXT2, _("Label"), wxPoint(288,40), wxDefaultSize, 0, _T("ID_STATICTEXT2"));
    StaticText3 = new wxStaticText(this, ID_STATICTEXT3, _("Y="), wxPoint(336,40), wxDefaultSize, 0, _T("ID_STATICTEXT3"));
    StaticText4 = new wxStaticText(this, ID_STATICTEXT4, _("Label"), wxPoint(360,40), wxDefaultSize, 0, _T("ID_STATICTEXT4"));
    StaticText5 = new wxStaticText(this, ID_STATICTEXT5, _("ADC="), wxPoint(424,40), wxDefaultSize, 0, _T("ID_STATICTEXT5"));
    StaticText6 = new wxStaticText(this, ID_STATICTEXT6, _("Label"), wxPoint(472,40), wxDefaultSize, 0, _T("ID_STATICTEXT6"));
    Button2 = new wxButton(this, ID_BUTTON2, _("Stop"), wxPoint(80,80), wxDefaultSize, 0, wxDefaultValidator, _T("ID_BUTTON2"));
    MenuBar1 = new wxMenuBar();
    Menu1 = new wxMenu();
    MenuItem1 = new wxMenuItem(Menu1, idMenuQuit, _("Quit\tAlt-F4"), _("Quit the application"), wxITEM_NORMAL);
    Menu1->Append(MenuItem1);
    MenuBar1->Append(Menu1, _("&File"));
    Menu2 = new wxMenu();
    MenuItem2 = new wxMenuItem(Menu2, idMenuAbout, _("About\tF1"), _("Show info about this application"), wxITEM_NORMAL);
    Menu2->Append(MenuItem2);
    MenuBar1->Append(Menu2, _("Help"));
    SetMenuBar(MenuBar1);
    StatusBar1 = new wxStatusBar(this, ID_STATUSBAR1, 0, _T("ID_STATUSBAR1"));
    int __wxStatusBarWidths_1[1] = { -1 };
    int __wxStatusBarStyles_1[1] = { wxSB_NORMAL };
    StatusBar1->SetFieldsCount(1,__wxStatusBarWidths_1);
    StatusBar1->SetStatusStyles(1,__wxStatusBarStyles_1);
    SetStatusBar(StatusBar1);
    Timer1.SetOwner(this, ID_TIMER1);

    Connect(ID_BUTTON1,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&j11Frame::OnButton1Click);
    Connect(ID_BUTTON2,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&j11Frame::OnButton2Click);
    Connect(idMenuQuit,wxEVT_COMMAND_MENU_SELECTED,(wxObjectEventFunction)&j11Frame::OnQuit);
    Connect(idMenuAbout,wxEVT_COMMAND_MENU_SELECTED,(wxObjectEventFunction)&j11Frame::OnAbout);
    Connect(ID_TIMER1,wxEVT_TIMER,(wxObjectEventFunction)&j11Frame::OnTimer1Trigger);
    //*)

   // port_set:
    fd = open("/dev/ttyS0", O_RDWR | O_NOCTTY | O_NDELAY); /*'open_port()' - Открывает последовательный порт */
      if (fd == -1)
        {
          Button1->SetLabel(_("!!!error port Unable to open"));
        }
     else
        {

         struct termios options; /*структура для установки порта*/
         tcgetattr(fd, &options); /*читает пораметры порта*/

         cfsetispeed(&options, B115200); /*установка скорости порта*/
         cfsetospeed(&options, B115200); /*установка скорости порта*/

         options.c_cflag &= ~PARENB; /*выкл проверка четности*/
         options.c_cflag &= ~CSTOPB; /*выкл 2-х стобит, вкл 1 стопбит*/
         options.c_cflag &= ~CSIZE; /*выкл битовой маски*/
         options.c_cflag |= CS8; /*вкл 8бит*/
        // options.c_cflag |= (CLOCAL | CREAD); /*вкл 8бит*/
        // options.c_cflag |= ~(ICANON | ECHO | ECHOE); /*вкл 8бит*/
         tcsetattr(fd, TCSANOW, &options); /*сохронения параметров порта*/

        // fcntl(fd, F_SETFL,0);
//         return(fd);
        }

}

j11Frame::~j11Frame()
{
    //(*Destroy(j11Frame)
    //*)
}

void j11Frame::OnQuit(wxCommandEvent& event)
{
    Close();
}

void j11Frame::OnAbout(wxCommandEvent& event)
{
    wxString msg = wxbuildinfo(long_f);
    wxMessageBox(msg, _("Welcome to..."));
}

void j11Frame::OnButton1Click(wxCommandEvent& event)
{


        iIn=read(fd,buf,255);
if (iIn >20)    {
   int  ee=0;
 for (;ee<iIn;ee++) {
     result1=(int)buf[ee];
 if (result1 == 170)    {
   x_temp = buf[ee+1];
   y_temp = buf[ee+2];
  adc_h= buf[ee+3];
  adc_l= buf[ee+4];

ee=iIn;
     }
 }}
x=x_temp;
x_old= x_temp;
    y=y_temp;
    y_old=y_temp;


      Timer1.Start(5, false);
}

void j11Frame::OnTimer1Trigger(wxTimerEvent& event)
{


    ++a;
	Button1->SetLabel(wxString::Format(_("a = %d"), a));


	  iIn=read(fd,buf,255);
if (iIn >20)    {
   int  ee=0;
 for (;ee<iIn;ee++) {
     result1=(int)buf[ee];
 if (result1 == 170)    {
   x_temp = buf[ee+1];
   y_temp = buf[ee+2];
  adc_h= buf[ee+3];
  adc_l= buf[ee+4];
  adc_temp=(adc_h*256)+adc_l;

ee=iIn;
     }
 }

x_delta=x_temp - x_old;
y_delta=y_temp - y_old;
if ((abs(x_temp<257))  && (abs(y_temp <257))  && (abs(adc_temp <1025)) )  {
if ((abs(x_delta)<100) )    {x=x+x_delta;x_old=x_temp;}
if (x_delta>100)    {x=x-(x_old+255-x_temp);x_old=x_temp;}
if (x_delta<-100)    {x=x+(255-x_old+x_temp);x_old=x_temp;}

if ((abs(y_delta)<100) )    {y=y+y_delta;y_old=y_temp;}
if (y_delta>100)    {y=y-(y_old+255-y_temp);y_old=y_temp;}
if (y_delta<-100)    {y=y+(255-y_old+y_temp);y_old=y_temp;}


//if ((abs(x-x_temp)<250)  && (abs(y-y_temp) <250) )   {
  //  && (abs(adc-adc_temp) >5
    //x=x_temp;
   // y=y_temp;
    adc=adc_temp;
wxString mystring2 =wxString::Format(wxT("%i"),x);
StaticText2->SetLabel(mystring2);

wxString mystring4 =wxString::Format(wxT("%i"),y);
StaticText4->SetLabel(mystring4);



wxString mystring6 =wxString::Format(wxT("%i"),adc);
StaticText6->SetLabel(mystring6);
}

}

}

void j11Frame::OnButton2Click(wxCommandEvent& event)
{
    Timer1.Start(5000000, false);
}
